Name: mlt++
%define lname lib%name
Version: 0.2.2
Release: alt0.2
Summary: C++ wrapping for the MLT library
License: GPL
Group: System/Libraries
URL: http://sourceforge.net/projects/mlt
Packager: Alexey Morsov <swi@altlinux.ru>
Source: %name-%version.tar.bz2
Patch: %name-0.2.2-makefile.patch

# Automatically added by buildreq on Tue Feb 13 2007
BuildRequires: gcc-c++ libmiracle-devel

%description
This mlt sub-project provides a C++ wrapping for the MLT library.


%package -n %lname
Summary: C++ wrapping for the MLT library
Group: System/Libraries

%description -n %lname
This mlt sub-project provides a C++ wrapping for the MLT library.


%package -n %lname-devel
Summary: Development files for %lname.
Group: Development/C++
Requires: %lname = %version-%release

%description -n %lname-devel
Development files for %lname.


%prep
%setup -q
%patch -p1


%build
export CXXFLAGS="%optflags"
./configure --prefix=%_prefix --libdir=%_libdir
%make_build


%install
%make_install DESTDIR=%buildroot install


%post -n %lname -p %post_ldconfig
%postun -n %lname -p %postun_ldconfig


%files -n %lname
%_libdir/*.so.*


%files -n %lname-devel
%_libdir/*.so
%_includedir/%name


%changelog
* Wed Feb 14 2007 Alexey Morsov <swi@altlinux.ru> 0.2.2-alt0.2
- add Packager (swi@)

* Tue Feb 13 2007 Led <led@altlinux.ru> 0.2.2-alt0.1
- initial build
